Package org.bgerp.model.param

# Class Parameter

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.model.base.IdTitleComment
org.bgerp.model.param.Parameter

All Implemented Interfaces:
  `Serializable`, `Comment`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Direct Known Subclasses:
  `Parameter`

public class Parameter extends IdTitleComment

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Parameter.Type`
  Parameter types enum.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LIST_PARAM_AVAILABLE_VALUES_INNER_JOIN_FILTER_KEY`
  `static final String`
  `LIST_PARAM_AVAILABLE_VALUES_KEY`
  `static final String`
  `LIST_PARAM_USE_DIRECTORY_KEY`
  `static final String`
  `PARAM_MULTIPLE_KEY`
  `static final String`
  `TYPE_ADDRESS`
  `static final String`
  `TYPE_BLOB`
  `static final String`
  `TYPE_DATE`
  `static final String`
  `TYPE_DATETIME`
  `static final String`
  `TYPE_EMAIL`
  `static final String`
  `TYPE_FILE`
  `static final String`
  `TYPE_LIST`
  `static final String`
  `TYPE_LISTCOUNT`
  `static final String`
  `TYPE_MONEY`
  `static final String`
  `TYPE_PHONE`
  `static final String`
  `TYPE_TEXT`
  `static final String`
  `TYPE_TREE`
  `static final String`
  `TYPE_TREECOUNT`
  `static final List<IdStringTitle>`
  `TYPES`
  Sorted list of parameter types.

  ### Fields inherited from class org.bgerp.model.base.IdTitleComment

  `comment`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `ConfigMap`
  `getConfigMap()`
  `String`
  `getDateParamFormat()`
  `Map<Integer,BigDecimal>`
  `getListCountDefaultValues()`
  `List<IdTitle>`
  `getListParamValues()`
  `String`
  `getObject()`
  Deprecated.
  `String`
  `getObjectType()`
  `int`
  `getOrder()`
  `String`
  `getShowAsLink()`
  `String`
  `getType()`
  `Parameter.Type`
  `getTypeType()`
  `String`
  `getValuesConfig()`
  `boolean`
  `isReadonly()`
  `void`
  `setConfig(String config)`
  `void`
  `setObject(String object)`
  Deprecated.
  `void`
  `setObjectType(String value)`
  `void`
  `setOrder(int order)`
  `void`
  `setType(String type)`
  `void`
  `setValuesConfig(String config)`
  `String`
  `toString()`
  `Parameter`
  `withComment(String value)`
  `Parameter`
  `withConfig(String value)`
  `Parameter`
  `withObjectType(String value)`
  `Parameter`
  `withOrder(int value)`
  `Parameter`
  `withTitle(String value)`
  `Parameter`
  `withType(String value)`
  `Parameter`
  `withValuesConfig(String value)`

  ### Methods inherited from class org.bgerp.model.base.IdTitleComment

  `getComment, setComment`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### PARAM_MULTIPLE_KEY

    public static final String PARAM_MULTIPLE_KEY
    See Also:
      - Constant Field Values

  - ### LIST_PARAM_USE_DIRECTORY_KEY

    public static final String LIST_PARAM_USE_DIRECTORY_KEY
    See Also:
      - Constant Field Values

  - ### LIST_PARAM_AVAILABLE_VALUES_KEY

    public static final String LIST_PARAM_AVAILABLE_VALUES_KEY
    See Also:
      - Constant Field Values

  - ### LIST_PARAM_AVAILABLE_VALUES_INNER_JOIN_FILTER_KEY

    public static final String LIST_PARAM_AVAILABLE_VALUES_INNER_JOIN_FILTER_KEY
    See Also:
      - Constant Field Values

  - ### TYPE_ADDRESS

    public static final String TYPE_ADDRESS
    See Also:
      - Constant Field Values

  - ### TYPE_BLOB

    public static final String TYPE_BLOB
    See Also:
      - Constant Field Values

  - ### TYPE_DATE

    public static final String TYPE_DATE
    See Also:
      - Constant Field Values

  - ### TYPE_DATETIME

    public static final String TYPE_DATETIME
    See Also:
      - Constant Field Values

  - ### TYPE_EMAIL

    public static final String TYPE_EMAIL
    See Also:
      - Constant Field Values

  - ### TYPE_FILE

    public static final String TYPE_FILE
    See Also:
      - Constant Field Values

  - ### TYPE_LIST

    public static final String TYPE_LIST
    See Also:
      - Constant Field Values

  - ### TYPE_LISTCOUNT

    public static final String TYPE_LISTCOUNT
    See Also:
      - Constant Field Values

  - ### TYPE_MONEY

    public static final String TYPE_MONEY
    See Also:
      - Constant Field Values

  - ### TYPE_TEXT

    public static final String TYPE_TEXT
    See Also:
      - Constant Field Values

  - ### TYPE_PHONE

    public static final String TYPE_PHONE
    See Also:
      - Constant Field Values

  - ### TYPE_TREE

    public static final String TYPE_TREE
    See Also:
      - Constant Field Values

  - ### TYPE_TREECOUNT

    public static final String TYPE_TREECOUNT
    See Also:
      - Constant Field Values

  - ### TYPES

    public static final List<IdStringTitle> TYPES
    Sorted list of parameter types.

- ## Constructor Details

  - ### Parameter

    public Parameter()

- ## Method Details

  - ### withTitle

    public Parameter withTitle(String value)

  - ### withComment

    public Parameter withComment(String value)

  - ### getType

    public String getType()

  - ### getTypeType

    public Parameter.Type getTypeType()

  - ### setType

    public void setType(String type)

  - ### withType

    public Parameter withType(String value)

  - ### getObjectType

    public String getObjectType()

  - ### setObjectType

    public void setObjectType(String value)

  - ### withObjectType

    public Parameter withObjectType(String value)

  - ### getOrder

    public int getOrder()

  - ### setOrder

    public void setOrder(int order)

  - ### withOrder

    public Parameter withOrder(int value)

  - ### getConfig

    public String getConfig()

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### setConfig

    public void setConfig(String config)

  - ### withConfig

    public Parameter withConfig(String value)

  - ### setValuesConfig

    public void setValuesConfig(String config)

  - ### getValuesConfig

    public String getValuesConfig()

  - ### withValuesConfig

    public Parameter withValuesConfig(String value)

  - ### getListParamValues

    public List<IdTitle> getListParamValues()

  - ### getDateParamFormat

    public String getDateParamFormat()

  - ### getListCountDefaultValues

    public Map<Integer,BigDecimal> getListCountDefaultValues()

  - ### isReadonly

    public boolean isReadonly()

  - ### getShowAsLink

    public String getShowAsLink()
    Returns:
      ''

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getObject

    @Deprecated public String getObject()
    Deprecated.

  - ### setObject

    @Deprecated public void setObject(String object)
    Deprecated.